<?php
# DynamicMTML (C) 2010 Alfasado Inc.
# This program is distributed under the terms of the
# GNU General Public License, version 2.

function smarty_block_mtsearchentries( $args, $content, &$ctx, &$repeat ) {
    $localvars = array( 'entry', '_entries_counter', 'entries', '_entries_lastn', 'blog', 'blog_id' );
    if (! isset( $content ) ) {
        $ctx->localize( $localvars );
        $ctx->__stash[ 'entries' ] = null;
        $counter = 0;
        $lastn = $args[ 'lastn' ];
        if (! isset( $lastn ) ) {
            $lastn = 100;
        }
        $offset = $args[ 'offset' ];
        if (! isset( $offset ) ) {
            $offset = 0;
        }
        $sort_by = $args[ 'sort_by' ];
        if (! isset( $sort_by ) ) {
            $sort_by = 'authored_on';
        }
        $sort_by = 'entry_' . $sort_by;
        $sort_order = $args[ 'sort_order' ];
        if ( (! isset( $sort_order ) ) || ( $sort_order == 'descend' ) ) {
            $sort_order = 'DESC';
        } else {
            $sort_order = 'ASC';
        }
        $target = $args[ 'target' ];
        if (! isset( $target ) ) {
            $target = 'entry_title||entry_text_more||entry_keywords||entry_excerpt||entry_text';
        } else {
            $target = 'entry_' . $target;
        }
        $operator = $args[ 'operator' ];
        if (! isset( $operator ) ) {
            $operator = 'LIKE';
        }
        $class = $args[ 'class' ];
        if (! isset( $class ) ) {
            $class = 'entry';
        }
        $query = $args[ 'query' ];
        $query = $ctx->mt->db()->escape( $query );
        $query = "%$query%";
        $ctx->stash( '_entries_lastn', $lastn );
    } else {
        $lastn = $ctx->stash( '_entries_lastn' );
        $counter = $ctx->stash( '_entries_counter' );
    }
    $blog_id = intval( $ctx->stash( 'blog_id' ) );
    $blog = $ctx->stash( 'blog' );
    if (! isset( $blog ) ) {
        $blog = $ctx->mt->db()->fetch_blog( $blog_id );
        $blog_id = $blog->id;
        $ctx->stash( 'blog_id', $blog->id );
    }
    $entries = $ctx->stash( 'entries' );
    if (! isset( $entries ) ) {
        // $sql   = "SELECT COUNT( mt_entry.entry_id ) AS CNT FROM mt_entry WHERE "
        //        . " $target $operator '$query'"
        //        . " AND entry_blog_id = $blog_id "
        //        . " AND entry_class = '$class' "
        //        . " AND entry_status = 2 ";
        // $match = $ctx->mt->db()->Execute( $sql );
        // $ctx->__stash[ 'vars' ][ '__entries_count__' ] = $match->fields[ 'CNT' ];
        require_once 'class.mt_entry.php';
        $where = " $target $operator '$query'"
               . " AND entry_blog_id = $blog_id "
               . " AND entry_class = '$class' "
               . " AND entry_status = 2 "
               . " order by $sort_by $sort_order ";
        $extra = array(
            'limit' => $lastn,
            'offset' => $offset,
        ); 
        $_entry = new Entry;
        $entries = $_entry->Find( $where, false, false, $extra );
        $ctx->stash( 'entries', $entries );
    }
    if ( empty( $entries ) ) {
        $ret = $ctx->_hdlr_if( $args, $content, $ctx, $repeat, 0 );
        if (! $repeat ) {
            $ctx->restore( $localvars );
        }
        return $ret;
    }
    if ( ( $lastn > count( $entries ) ) || ( $lastn == -1 ) ) {
        $lastn = count( $entries );
        $ctx->stash( '_entries_lastn', $lastn );
    }
    if ( $lastn ? ( $counter < $lastn ) : ( $counter < count( $entries ) ) ) {
        $entry = $entries[ $counter ];
        if (! empty( $entry ) ) {
            $ctx->stash( 'entry', $entry );
            $ctx->stash( '_entries_counter', $counter + 1 );
            $count = $counter + 1;
            $ctx->__stash[ 'vars' ][ '__counter__' ] = $count;
            $ctx->__stash[ 'vars' ][ '__odd__' ]     = ( $count % 2 ) == 1;
            $ctx->__stash[ 'vars' ][ '__even__' ]    = ( $count % 2 ) == 0;
            $ctx->__stash[ 'vars' ][ '__first__' ]   = $count == 1;
            $ctx->__stash[ 'vars' ][ '__last__' ]    = ( $count == count( $entries ) );
            $repeat = true;
        }
    } else {
        $ctx->restore( $localvars );
        $repeat = false;
    }
    return $content;
}
?>