<?php
# DynamicMTML (C) 2010 Alfasado Inc.
# This program is distributed under the terms of the
# GNU General Public License, version 2.

function get_mime_type( $extension )
{
    $mime_type = array (
        'css'   =>  'text/css',
        'html'  =>  'text/html',
        'mtml'  =>  'text/html',
        'xhtml' =>  'application/xhtml+xml',
        'htm'   =>  'text/html',
        'txt'   =>  'text/plain',
        'rtx'   =>  'text/richtext',
        'tsv'   =>  'text/tab-separated-values',
        'csv'   =>  'text/csv',
        'hdml'  =>  'text/x-hdml;charset=Shift_JIS',
        'xml'   =>  'application/rss+xml',
        'rdf'   =>  'application/rss+xml',
        'xsl'   =>  'text/xsl',
        'mpeg'  =>  'video/mpeg',
        'mpg'   =>  'video/mpeg',
        'mpe'   =>  'video/mpeg',
        'qt'    =>  'video/quicktime',
        'avi'   =>  'video/x-msvideo',
        'movie' =>  'video/x-sgi-movie',
        'qt'    =>  'video/quicktime',
        'ice'   =>  'x-conference/x-cooltalk',
        'svr'   =>  'x-world/x-svr',
        'vrml'  =>  'x-world/x-vrml',
        'wrl'   =>  'x-world/x-vrml',
        'vrt'   =>  'x-world/x-vrt',    
        'spl'   =>  'application/futuresplash',
        'hqx'   =>  'application/mac-binhex40',
        'doc'   =>  'application/msword',
        'pdf'   =>  'application/pdf',
        'ai'    =>  'application/postscript',
        'eps'   =>  'application/postscript',
        'ps'    =>  'application/postscript',
        'ppt'   =>  'application/powerpoint',
        'rtf'   =>  'application/rtf',
        'dcr'   =>  'application/x-director',
        'dir'   =>  'application/x-director',
        'dxr'   =>  'application/x-director',
        'js'    =>  'application/x-javascript',
        'dvi'   =>  'application/x-dvi',
        'gtar'  =>  'application/x-gtar',
        'gzip'  =>  'application/x-gzip',
        'latex' =>  'application/x-latex',
        'lzh'   =>  'application/x-lha',
        'swf'   =>  'application/x-shockwave-flash',
        'sit'   =>  'application/x-stuffit',
        'tar'   =>  'application/x-tar',
        'tcl'   =>  'application/x-tcl',
        'tex'   =>  'application/x-texinfo',
        'texinfo'=> 'application/x-texinfo',
        'texi'  =>  'application/x-texi',
        'src'   =>  'application/x-wais-source',
        'zip'   =>  'application/zip',
        'au'    =>  'audio/basic',
        'snd'   =>  'audio/basic',
        'midi'  =>  'audio/midi',
        'mid'   =>  'audio/midi',
        'kar'   =>  'audio/midi',
        'mpga'  =>  'audio/mpeg',
        'mp2'   =>  'audio/mpeg',
        'mp3'   =>  'audio/mpeg',
        'ra'    =>  'audio/x-pn-realaudio',
        'ram'   =>  'audio/x-pn-realaudio',
        'rm'    =>  'audio/x-pn-realaudio',
        'rpm'   =>  'x-pn-realaudio-plugin',
        'wav'   =>  'audio/x-wav',
        'bmp'   =>  'image/bmp',
        'gif'   =>  'image/gif',
        'jpeg'  =>  'image/jpeg',
        'jpg'   =>  'image/jpeg',
        'jpe'   =>  'image/jpeg',
        'png'   =>  'image/png',
        'tiff'  =>  'image/tiff',
        'tif'   =>  'image/tiff',
        'pnm'   =>  'image/x-portable-anymap',
        'ras'   =>  'image/x-cmu-raster',
        'pnm'   =>  'image/x-portable-anymap',
        'pbm'   =>  'image/x-portable-bitmap',
        'pgm'   =>  'image/x-portable-graymap',
        'ppm'   =>  'image/x-portable-pixmap',
        'rgb'   =>  'image/x-rgb',
        'xbm'   =>  'image/x-xbitmap',
        'xpm'   =>  'image/x-pixmap',
        'xwd'   =>  'image/x-xwindowdump',
    );
    $type = $mime_type[ $extension ];
    if (! $type ) {
        $type = 'application/octet-stream';
    }
    return $type;
}
?>